## fex 20110622

=== debian/changelog ===
fex (20110622-1ubuntu1) oneiric; urgency=low

  * Update MD5 sums to fix FTBFS.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 13 Aug 2011 00:52:10 +0400

fex (20110622-1) unstable; urgency=low

  * New upstream release 20110622:
   - New locale (italiano)
   - Better proxy support
   - General bugfixes 
  * Minor fixups to debian/rules left over from adding locales
  * Cleanup debian/rules update-md5 target
  * Introduce build-arch/build-indep to please lintian (for now we don't have
    any arch dependent stuff)

 -- Kilian Krause <kilian@debian.org>  Wed, 22 Jun 2011 21:34:16 +0200

fex (20110620-1) unstable; urgency=low

  * New upstream release: 20110620
    - Include locales
    - Fix: Header now send for all HTTP in fexsrv (Closes: #630629)
  * Add lintian-overrides for fex: english recursive symlink

 -- Kilian Krause <kilian@debian.org>  Mon, 20 Jun 2011 16:27:47 +0200

fex (20110610-2) unstable; urgency=low

  * Support inetd.conf if xinetd is not installed.
  * Alternatively depend on inet-superserver instead of forcing xinetd
  * Make xinetd.d/fex only installed if xinetd is actually installed on the
    system
  * Remove /etc/xinetd.d from fex dirs
  * Add logrotate and move logfile to /var/log
  * New patch to make $logdir point to /var/log/fex in fex.ph
  * Update manpages - big thanks to Michael Bussmann <bus@mb-net.net>
  * Bump compat to 8 (stable has 8.0.0 and bpo has a version for oldstable too)
  * Update to 3.9.2 policy standards:
    - Use dh_perl instead of hardcoding perl Depends
  * Fixup short description typo - thanks to Nico Golde for pointing out!
  * Move htdocs to /var/lib/fex and make download and FEX.jar a symlink to
    /usr/share/fex/htdocs-static/download
  * Backport 04_docdir.patch with $docdir bugfix from upstream (includes
    bugfix for transparent proxy)
  * Always check for htdocs modifications upon upgrade and only overwrite
    htdocs if no changes were made by the user in /var/lib/fex/htdocs
  * New update check routine requires unzip to disassemble FIX.jar - added to
    Depends

 -- Kilian Krause <kilian@debian.org>  Thu, 16 Jun 2011 16:25:20 +0200

fex (20110610-1) unstable; urgency=high

  * New F*EX upstream version 20110510:
    - fex.ph: new config variable $bcc for notification e-mails
      (allow admin to receive a copy of all emails sent by the F*EX server or
      not)
  * included new F*EX upstream version 20110509:
    - SECURITY BUGFIX (setting urgengy high)
      everybody could upload files to anyone with a handcrafted fup.html and
      empty auth-ID
    - bandwith limit option for user in fup
    - bandwith limit option for admin in fex.ph
  * Remove Reply-To patch as is now upstream
  * Update debian/watch to pull new *.tgz tarball from upstream and no longer
    mess with repackaging in Debian
  * Drop Build-Dep on quilt as we're now a 3.0 quilt source anyway. Thanks
    lintian!

 -- Kilian Krause <kilian@debian.org>  Fri, 10 Jun 2011 14:07:10 +0200

fex (20110608-2) unstable; urgency=low

  * Add correct Reply-To header for emails sent by F*EX (patch backported from
    upstream)

 -- Kilian Krause <kilian@debian.org>  Thu, 09 Jun 2011 13:15:03 +0200

fex (20110608-1) unstable; urgency=low

  * New F*EX upstream version 20110608:
    - fup: fixed bug insecure dependency in printf on "forward file"

 -- Kilian Krause <kilian@debian.org>  Wed, 08 Jun 2011 09:02:23 +0200

fex (20110601-1) unstable; urgency=low

  * New upstream version of F*EX: 20110601:
    - evaluate <<perl-code>> inside html documents
    - If there is a .htindex file this directory is listable by dop, example:
      http://fex.rus.uni-stuttgart.de/sw/share/fstools-0.0/bin/
    - fac with support for user specific KEEP and AUTODELETE
    - added PID and request-number to the logs
    - fex_cleanup: fixed bug no expire with AUTODELETE=NO
  * New upstream version of FIX: rev. 33
  * Fixup Debian postinst script: make fex owner of his homedir
  * Update copyright: Add Email-Addresses to FIX authors
  * Make sure we compile FIX in the current version and ship it
  * Build-Depend on default-jdk to be able to build FIX
  * Drop fexlib_upstream_fix.patch - incorporated upstream

 -- Kilian Krause <kilian@debian.org>  Mon, 06 Jun 2011 10:11:11 +0200

fex (20110531+debian1-3) unstable; urgency=low

  * Import latest fixes from upstream to make fac work correctly
  * Add dh_installcron to make sure fex_cleanup is also shipped

 -- Kilian Krause <kilian@debian.org>  Wed, 01 Jun 2011 09:26:28 +0200

fex (20110531+debian1-2) unstable; urgency=low

  * Make sure we don't have HOSTNAME as $hostname in /etc/fex/fex.ph

 -- Kilian Krause <kilian@debian.org>  Tue, 31 May 2011 17:05:45 +0200

fex (20110531+debian1-1) unstable; urgency=low

  * New upstream release: 20110531
  * Add libdigest-md5-file-perl as required for all non-webbrowser clients
  * Add new binaries: zz, ezz
  * Update description of fex-package
  * Recommend fex-utils for fex server

 -- Kilian Krause <kilian@debian.org>  Tue, 31 May 2011 15:41:35 +0200

fex (20110523+debian1-2) unstable; urgency=low

  * [6624c07] fix fex.postrm script (Closes: #610801)

 -- Kilian Krause <kilian@debian.org>  Fri, 27 May 2011 14:33:48 +0200

fex (20110523+debian1-1) unstable; urgency=low

  * [b46a0f7] New upstream version 20110523
  * [ea7883b] Add myself to Uploaders.
  * [d21ab42] Disable 01_fac_in_usr_bin.patch and 04_fac.patch as included
    upstream or included similar fix
  * [f2d90bc] Switch to dpkg-source 3.0 (quilt) format
  * [6ef9438] fexsend.example is no longer shipped as docs are now inside PDFs
    include doc/fex-client_1.pdf and doc/fex-client_2.pdf with fex.docs instead
    of fex-utils 
  * [dedd6ec] Add new binaries sexxx and xx
  * [11f18de] Also include new binaries in description of fex-utils
  * [9f97bb3] Include symlink for fex.ph to $FEXLIB

 -- Kilian Krause <kilian@debian.org>  Fri, 27 May 2011 11:38:11 +0200

fex (20100208+debian1-1) unstable; urgency=low


