## fex 20110726

=== debian/changelog ===
fex (20110726-1) unstable; urgency=low

  * New upstream version 20110726
   - fexget: added option -X do not extract archive file
   - fexget: added option -a get all files
   - fexsrv: fixed bug uninitialized value when using a reverse proxy
   - fex_cleanup: fixed bug notify reminder e-mail not localized
   - new translations: czech, galician
   - fac(CGI): fixed bug displaying < and & in logfiles
   - fac(CGI): added getting error.log
   - fop: allow multiple downloads from any client if sender = recipient
  * Fix piuparts error upon purge once ucf is not installed anymore
  * Remove doc/FAQ as upstream no longer ships it (it's now htdocs/FAQ.html)
  * Add robots.txt to fex.install

 -- Kilian Krause <kilian@debian.org>  Wed, 27 Jul 2011 08:47:24 +0200
