## fex 20111129

=== debian/changelog ===
fex (20111129-2) unstable; urgency=low

  * New manpages to match current upstream options (Thanks to Michael
    Bussmann!)
  * Add symlink for fac in $FEXHOME/bin to make fex_cleanup work again

 -- Kilian Krause <kilian@debian.org>  Tue, 20 Dec 2011 14:25:54 +0100

fex (20111129-1) unstable; urgency=low

  * New upstream release 20111129
    - support for Firefox 7 (and later) for uploads > 4 GB !
    - user can create one time upload key
    - new additional login URL type: http://FEXSERVER/fup/B64ID
      can be bookmarked, no need to type in user/auth-ID 
    - if comment contains string "!bcc!" then sender will get a bcc of 
      notification e-mail
    - user locale wil be saved as default and used for receiving, too
    - new fex.ph variable $account_expire for expiration of inactive accounts
    - new fex.ph restriction variable @forbidden_recipients
    - new fex.ph restriction variables @upload_hosts @download_hosts
    - fexsend uses no longer intermediate temporary file for tar archives
    - fexsend can be used in a pipe (streaming!)

 -- Kilian Krause <kilian@debian.org>  Tue, 29 Nov 2011 10:39:24 +0100
