=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fex
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Giuseppe Iuculano <iuculano@debian.org>
+Maintainer: Giuseppe Iuculano <iuculano@debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8), default-jdk, pwgen, unzip, po-debconf
 Standards-Version: 3.9.2
