## fex 20120215

=== debian/changelog ===
fex (20120215-3) unstable; urgency=high

  * Fix postrm to also remove xinetd.d/fex (Closes: #660877)
  * Fallback to userdel if deluser is not found during postrm
  * Fix /etc/fex/fex.ph being cutomized outside of ucf's reach - requires
    moving fex.ph to examples and initiating it from there (Closes: #660878)
  + Set urgency=high due to fixing RC bug
  * Bump Standards-Version to 3.9.3 - no changes required. We will be moving
    to /run at a later point to allow smoother backports for now
  * Make sure to include robots.txt in htdocs install. Ignore for htdocs check
    for versions between 20111129-1 and 20120215-2
  * Also install new FAQ dir into htdocs and include in htdocs upgrade check
  * Remove error-prone internal update-md5 target from rules
  * Depend on libjs-jquery to replace jquery.js in FAQ with Debian version

 -- Kilian Krause <kilian@debian.org>  Sat, 25 Feb 2012 12:44:34 +0100

fex (20120215-2) unstable; urgency=high

  * Add check for existance of md5sum files to clean target and make sure we
    don't include META-INF
    => Ignoring META-INF on md5sum checks allows signing with different java
    versions and not get an FTBFS (Closes: #642714)
  + Set urgency=high due to fixing RC bug

 -- Kilian Krause <kilian@debian.org>  Wed, 22 Feb 2012 10:14:45 +0100

fex (20120215-1) unstable; urgency=high

  * New upstream release. (Closes: #660621)
   + Setting high prio due to security bug.
  * Fix preinst to allow writing to /usr/share/fex/ always (Closes: #656554)
  * Add libnet-sslglue-perl to Recommends for https support in fex-utils
  * Fix manpages minus-used-as-hyphen for fexget and fexsend

 -- Kilian Krause <kilian@debian.org>  Tue, 21 Feb 2012 10:29:08 +0100
