=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8), default-jdk, pwgen, unzip, po-debconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://fex.rus.uni-stuttgart.de/
 Vcs-Git: git://git.debian.org/collab-maint/fex.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fex.git
 
 Package: fex
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, adduser, xinetd | inet-superserver, libdigest-md5-file-perl, ucf, unzip
+Depends: ${misc:Depends}, ${perl:Depends}, adduser, xinetd | inet-superserver, libdigest-md5-file-perl, ucf, unzip, libjs-jquery
 Recommends: perl-modules, libnet-dns-perl, fex-utils
 Description: web service for transferring very large files
  F*EX (Frams's Fast File EXchange) is a service that can be used to allow
@@ -45,7 +45,7 @@
 Package: fex-utils
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
-Recommends: libdigest-md5-file-perl
+Recommends: libdigest-md5-file-perl, libnet-sslglue-perl 
 Description: web service for transferring very large files (utils)
  F*EX (Frams's Fast File EXchange) is a service that can be used to allow
  users anywhere on the Internet to exchange very large files quickly and
