## fex 20120718

=== debian/changelog ===
fex (20120718-5) unstable; urgency=low

  * Remove dpkg statoverride upon purge (Closes: #684404)

 -- Kilian Krause <kilian@debian.org>  Tue, 14 Aug 2012 09:06:18 +0200

fex (20120718-4) unstable; urgency=high

  * Fix fexsend in fex.pp to be available
  * Fix uninitialized variable in fac - 
    Thanks to Michael Bussmann <bus@mb-net.net>
  * Only minor fixes so setting urgency=high to get this into Wheezy still

 -- Kilian Krause <kilian@debian.org>  Mon, 06 Aug 2012 15:25:16 +0200

fex (20120718-3) unstable; urgency=low

  * We just can't support custom fup.pl upgrading in /usr/share/fex/ 
    (Closes: #682293)

 -- Kilian Krause <kilian@debian.org>  Mon, 23 Jul 2012 15:22:33 +0200

fex (20120718-2) unstable; urgency=low

  * Fix preinst typo (Closes: #682191)

 -- Kilian Krause <kilian@debian.org>  Fri, 20 Jul 2012 13:29:45 +0200

fex (20120718-1) unstable; urgency=low

  * New upstream version 20120718
   - F*IX removed (Closes: #678211)
   - License changed from GPL to AGPL
   - anonymous uploads (optional)
   - better wget support
   - minor bug fixes
  * Update README.Debian to explain F*IX upstream situation (Closes: #656631)
  * Depend on ssmtp | mail-transport-agent to make sure we can send email
    (LP#938322)
  * Fix /etc/fex/fex.ph permissions (Closes: #676589)
  * Move fex.pl to /etc/fex/ to allow personalized HTML contents.
  * Update manpages - big thanks to Michael Bussmann <debian@mb-net.net>!

 -- Kilian Krause <kilian@debian.org>  Thu, 19 Jul 2012 11:25:16 +0200
