=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>
-Build-Depends: debhelper (>= 8), default-jdk, pwgen, unzip, po-debconf
+Build-Depends: debhelper (>= 8), po-debconf
 Standards-Version: 3.9.3
 Homepage: http://fex.rus.uni-stuttgart.de/
 Vcs-Git: git://git.debian.org/collab-maint/fex.git
@@ -11,7 +11,7 @@
 
 Package: fex
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, adduser, xinetd | inet-superserver, libdigest-md5-file-perl, ucf, unzip, libjs-jquery
+Depends: ${misc:Depends}, ${perl:Depends}, adduser, xinetd | inet-superserver, libdigest-md5-file-perl, ucf, libjs-jquery, ssmtp | mail-transport-agent
 Recommends: perl-modules, libnet-dns-perl, fex-utils
 Description: web service for transferring very large files
  F*EX (Frams's Fast File EXchange) is a service that can be used to allow
