## fex 20121107

=== debian/changelog ===
fex (20121107-1~bpo60+1) squeeze-backports; urgency=high

  * Backport to squeeze-backports.
  * License fixup to meet DFSG requirements
  * Security bugfix for sites running domain based permissions

 -- Kilian Krause <kilian@debian.org>  Tue, 25 Dec 2012 19:05:10 +0100

fex (20121107-1) unstable; urgency=high

  * New upstream release: 20121107
   - SECURITY BUGFIX:
      A restricted user could upload a file to a non-existent recipient in an
      allowed domain and afterwards redirect this file to another recipient in a
      forbidden domain ==> sender can bypass domain restrictions.

      If you do not have restricted users you are not affected by this bug
      (subusers do not count as restricted users).

    - fac: the admin can restrict up or download for certain users to certain
      IP addresses.

 -- Kilian Krause <kilian@debian.org>  Wed, 07 Nov 2012 13:55:06 +0100

fex (20121027-1) unstable; urgency=low

  * New upstream release: 20121027
   + anonymous usage support for LAN

 -- Kilian Krause <kilian@debian.org>  Mon, 29 Oct 2012 09:47:20 +0100

fex (20120930-1) unstable; urgency=low

  * New upstream release: 20120930
   - licence change to Perl Artistic
   - mail notification detailed / brief configurable for user
   - "no mails at all" server mode for usecase: no smtp available
   - tar, tgz and zip on-the-fly streaming output for regular documents
   - camel easteregg
   - various small bug fixes
   => update debian/copyright
  * New Maintainer: Kilian Krause stepping up from Uploader as desired by
    Guiseppe. Thanks Guiseppe for your work!
  * Update md5 hashes
  * fex.ph is now gzipped in doc/examples. Adjusting postinst accordingly

 -- Kilian Krause <kilian@debian.org>  Thu, 04 Oct 2012 16:33:21 +0200

fex (20120215-3~bpo60+1) squeeze-backports; urgency=high

  * Backport to squeeze-backports. 
  * Security hotfix. [BSA-062, CVE-2012-0869, CVE-2012-1293] - similar to
    DSA-2414-1

 -- Kilian Krause <kilian@debian.org>  Sun, 26 Feb 2012 15:16:44 +0100

fex (20110726-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze-backports

 -- Kilian Krause <kilian@debian.org>  Sat, 06 Aug 2011 14:50:26 +0200
