## fex 20130510

=== debian/changelog ===
fex (20130510-1) unstable; urgency=low

  * New upstream version: 20130510
   - fac: added -m maintenance mode
   - support for axel download accelerator
   - consistent and better usage for afex and asex
   - bug fix for web browsers which show error on upload for multiple recipients
   - several small bug fixes

 -- Kilian Krause <kilian@debian.org>  Mon, 13 May 2013 13:24:23 +0200

fex (20130217-1) unstable; urgency=low

  * New upstream release: 20130217
   - bug fix: file deletion also deletes fop.log
   - new config variable @registration_hosts limits external (restricted) user
  * Other changes:
     self-registration to specified ip range(s)
   - with comment NOSTORE file will not be stored, usefull for benchmarking
   - added CAPTIVE user mode: user must not change his settings
   - user can forward a file from incoming spool
   - name based virtual host: 
     you can run several F*EX servers on same ip and port
   - receiving of reminder e-mails is user configurable
   - several bugfixes

 -- Kilian Krause <kilian@debian.org>  Mon, 18 Feb 2013 17:08:07 +0100
