## fex 20130805

=== debian/changelog ===
fex (20130805-1) unstable; urgency=low

  * New upstream version: 20130805
   - security update: new fac -D option to disable a user
   - new fex.ph variable $usage_conditions adds a "terms of usage" text to the
     registration e-mail 
   - new fex.ph variable $notify_newrelease checks for new release and informs
     the admin by e-mail 
   - allow multiple downloads from same ip
   - added sup.html (simple upload form)
   - added all-in-one FAQ
   - added fexget proxy support
   - added file linking support for fexsend (option -/)
   - security enhancement for dop: 
     * documents MUST be in @doc_dirs
     * client IP restriction via .htaccessfrom

 -- Kilian Krause <kilian@debian.org>  Tue, 03 Sep 2013 23:05:27 +0200
