=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fex
-Section: web
+Section: non-free/web
 Priority: optional
-Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Uploaders: Kilian Krause <kilian@debian.org>
+Maintainer: Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 8), po-debconf
 Standards-Version: 3.9.3
 Homepage: http://fex.rus.uni-stuttgart.de/
