## fex 20140806

=== debian/changelog ===
fex (20140806-1) unstable; urgency=low

  * New upstream release: 20140806
   - vhosts are now created FHS-conforming (Closes: #712508)
   - debian/patches/02_fex.ph_logdir.patch now incorporated upstream - removed
   - debian/patches/03_fex.ph_docdir.patch now incorporated upstream - removed
  * Remove CSS installs from postinst (Closes: #742040)
  * Add doc dir in fex home upon install (Closes: #733506)
  * Refresh quilt patches
  * Update manpages. Big thanks to Michael Bussmann!
  * fex.postinst: Fix temporary path to be /var/lib/fex rather than /var/lib
  * Fix hyphen-used-as-minus-sign in fexget.1 and fexsend.1
  * Remove empty dir /usr/share/fex/doc
  * Canonicalize URIs for Git in debian/control
  * Remove dangling symlink at /var/lib/fex/htdocs/FIX.jar in postinst
  * Update copyright

 -- Kilian Krause <kilian@debian.org>  Wed, 06 Aug 2014 17:09:18 +0200

fex (20140530-1) unstable; urgency=low

  * New upstream release: 20140530
   - fixed security bug which allowed cross-site scripting attacks and
     cross-site request forgery
   - fixed several minor bugs

 -- Kilian Krause <kilian@debian.org>  Fri, 30 May 2014 14:15:26 +0200

fex (20140313-1) unstable; urgency=low

  * New upstream release 20140313
   - new fex.ph config variable $disclaimer to be appended to every email
   - bin/fexwall and doc/newfeatures
   - added PGP/GPG email encryption option, see
     http://fex.rus.uni-stuttgart.de/gpg.html
   - fixed bug $keep_default is ignored

 -- Kilian Krause <kilian@debian.org>  Thu, 20 Mar 2014 09:45:59 +0100

fex (20140226-1) unstable; urgency=low

  * New upstream version: 20140226
   - notification e-mail resend option for user and admin
   - new FAQ design (questions first, then Q+A)
   - sub and group users have the same quota amount like their main user
   - config variable @local_domains may contain wildcard * for subdomains
   - various small bug fixes
  * debian/fex.install: FAQ no longer has CSS and GIF files. 
  * Update copyright years

 -- Kilian Krause <kilian@debian.org>  Wed, 05 Mar 2014 09:49:50 +0100
