=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 8), po-debconf
 Standards-Version: 3.9.3
 Homepage: http://fex.rus.uni-stuttgart.de/
-Vcs-Git: git://git.debian.org/collab-maint/fex.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fex.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/fex.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/fex.git
 
 Package: fex
 Architecture: all
