## fex 20140917

=== debian/changelog ===
fex (20140917-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy-backports

 -- Kilian Krause <kilian@debian.org>  Tue, 30 Sep 2014 15:09:07 +0200

fex (20140917-1) unstable; urgency=medium

  * New upstream release: 20140917
   + fup: fixed bug no locales presentation
   + Ignore .* when on-demand streaming archive of directory
  * Removed patch 00_upstream.patch - already included in new release
  * fex.postinst: Copy over all files from htdocs upon first install
  * Remove symlinks in htdocs/download - not needed according to upstream
  * Remove $notify_newrelease from fex.ph entirely - we want only Debian
    versions
  * Install htdocs for any filetype in /usr/share/fex/htdocs
  * Don't try to set hostname in fex.ph if not defined (fixes piuparts)
  * Preinst doesn't need bash. Removing from shebang
  * Default mailer to exim4 | postfix
  * Move fex_cleanup call to end of postinst
  * Ensure we cleanup dpkg-statoverride upon purge
  * Update fex description to include afex/asex
  * Suggest fex for fex-utils
  * Init fex.ph even if hostname is not available - piuparts mode

 -- Kilian Krause <kilian@debian.org>  Tue, 23 Sep 2014 22:28:18 +0200

fex (20140902-2) unstable; urgency=medium

  [ Kilian Krause ]
  * Backports from upstream:
   + fexsend: support -i when running with -I
   + Default notify_newrelease to '' (in fex.pp) and not report new upstream
     versions to admin - we're Debian and want new debs or nothing! ,-)
  * Set notify_newrelease = '' in fex.ph default to ignore direct upstream
    update notification
  * Add gpg key to uscan
  * Install Debian version file into htdocs by default
  * Recommend wget for fex (for update notification)
  * Suggest wget for fex-utils (afex support)
  * Add md5sum auto-generate and use LC_ALL=C to ensure same sort order
  * Fix short license name in debian/copyright to not contain whitespace
  * Don't install htdocs/Licence by default
  * Add more docs: newfeatures, reverse_proxy, SEX, xx
  * Remove unnneeded double dh_install call from debian/rules

  [ Michael Bussmann ]
  * Updated manpages

 -- Kilian Krause <kilian@debian.org>  Mon, 15 Sep 2014 22:15:53 +0200

fex (20140902-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy-backports

 -- Kilian Krause <kilian@debian.org>  Tue, 09 Sep 2014 09:25:13 +0200

fex (20140902-1) unstable; urgency=medium

  * New upstream release: 20140902
    - fup: upload status bar waits longer, until $timeout
    - fex_cleanup: use wget for new release dedection
  * Add suid fex for fac and tools (fex_cleanup, fexwall, logwatch) as those
    should always be run as user fex
  * Bump compat to 9 and increase Standards-Version to 3.9.5
  * User fex shall have a valid shell -> update to /bin/sh if default system
    user (/bin/false)
  * Add new tools: afex, asex, fbm
  * Add fexwall utility to fex package

 -- Kilian Krause <kilian@debian.org>  Tue, 02 Sep 2014 17:17:28 +0200

fex (20140818-1) unstable; urgency=low

  * New upstream release: 20140818 (Closes: #758555)
   - security enhancement: the variable $admin_pw has moved from fex.ph to
     auth-ID $spooldir/$admin/@
   - fac (CGI) uses auth-ID of admin user for login and has a logout feature
   - fac -P makes an user persistent (no account expiration)
   - fac -E shows examples
   - fex_cleanup does not terminate any more on errors, this prevents dangling
     spool files
   - reenabled IPv6 support, see doc/IPv6 for details
  * Recommend libsocket6-perl from fex for IPv6 support
  * Recommend libnet-inet6glue-perl from fex-utils for IPv6 support
  * Create fexmaster admin user and optionally pull admin_pw from fex.ph if
    exists
  * Pull security tight on F*EX dirs. Set mode to 0750 on:
   - /usr/share/fex/
   - /var/lib/fex/
   - /var/log/fex/
   - /var/spool/fex/
  * Also add new IPv6 doc to fex docs - and update xinetd config patch

 -- Kilian Krause <kilian@debian.org>  Mon, 25 Aug 2014 21:53:07 +0200
