=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,10 @@
 	rm -f build-stamp
 	dh_clean 
 	@if [ ! -f debian/htdocs.md5/$(DEB_NOEPOCH_VERSION) ];then \
-		echo "Missing MD5sum files"; exit 1; \
+		echo -n "Missing MD5sum file, generating: " ;\
+		find htdocs/ -type f|grep -v -e version -e Licence -e FAQ/jquery.js -e download/ |LC_ALL=C sort|xargs -n 1 md5sum >debian/htdocs.md5/$(DEB_NOEPOCH_VERSION) ;\
+		echo "done. Stopping as failed now to check file into Git."; \
+		exit 1 ;\
 	fi
 
 install: build
@@ -42,8 +45,9 @@
 	dh_testroot
 	dh_installchangelogs doc/Changes
 	dh_installdocs
-	dh_install
-	@(cd debian/fex/usr/share/fex/;find htdocs/ -type f|grep -v -e FAQ/jquery.js -e download/ |sort|xargs -n 1 md5sum >../../../../fex.md5.check)
+	cp doc/new debian/fex/usr/share/doc/fex/NEWS
+	echo "fex_$(DEBVERSION)" >debian/fex/usr/share/fex/htdocs/version
+	@(cd debian/fex/usr/share/fex/;find htdocs/ -type f|grep -v -e version -e FAQ/jquery.js -e download/ |LC_ALL=C sort|xargs -n 1 md5sum >../../../../fex.md5.check)
 	if diff -q debian/fex.md5.check debian/htdocs.md5/$(DEB_NOEPOCH_VERSION) >/dev/null;then \
 		echo "Correct htdocs md5sum found."; \
 		rm -f debian/fex.md5.check; \
