## fex 20150120

=== debian/changelog ===
fex (20150120-2) unstable; urgency=medium

  * Fix fexget perl warning with upstream fix

 -- Kilian Krause <kilian@debian.org>  Wed, 21 Jan 2015 10:20:03 +0100

fex (20150120-1) unstable; urgency=high

  * New upstream release: 20150120 (Closes: #773751)
   - SECURITY FIX: race condition between fur and fex_cleanup may create
     internal instead of external user
   - several small bugs are fixed
   - fexwall also mails to sub and group users
   - optional HTTP basic authentication for htdoc/ directory
   - several SSL/TLS related fixes including default TLS for https connections
   - locale selection in upload form, too
   - better SSL configuration for fexsend,fexget,sexsend
   - autoview option for fexget
   - save-or-display (MIME) option for download
   - new config variable $mail_authid to (dis)allow mailing of forgotten
     auth-IDs
  * Update lintian override to ignore :sexsend:sexget: symlink which is
    interpreted by fexsrv directly
  * Recommend ca-certificates to verify remote server in fex-utils
  * Don't fail in postinst while looking up fex in trusted_users
    (Closes: #774854)

 -- Kilian Krause <kilian@debian.org>  Tue, 20 Jan 2015 15:56:05 +0100

fex (20140917-2) unstable; urgency=high

  * Re-add symlinks in htdocs/download - avoid otherwise broken symlinks in
    tools.html
  * Add nag in postinst if $notify_newrelease is not set to '' to avoid
    useless emails to admin
  * Ensure we've got "fex:root" in /etc/aliases upon fresh install and warn
    upon upgrade
  * Fix "postinst uses /usr/share/doc content (Policy 12.3)":
    install templates into /usr/share/fex/templates instead
    - install files via debian/fex.install into new location
    - use new file location in debian/fex.postinst
    - drop debian/fex.examples and remove dh_installexamples call
      from debian/rules
    - create symlinks in /usr/share/doc/fex/examples via debian/fex.links
    (Closes: #771727)
    Thanks goes to Andreas Beckmann for spotting this and intrigeri and Gregor
    Herrmann for preparing the patch!
  * Add postinst notification in case trusted_users doesn't contain fex on
    exim4 install

 -- Kilian Krause <kilian@debian.org>  Mon, 15 Dec 2014 10:10:25 +0100
