## fex 20150729

=== debian/changelog ===
fex (20150729-1) unstable; urgency=medium

  * New upstream release: 20150729
   - moved to new distribution site fex.belwue.de
   - autodelete=no if sender == recipient
   - no file name in email subject if notification is encrypted
   - added active and passive redirect support for standard HTTP documents
   - fixed various bugs
   - removed vhost support
  * Fix debian/watch
  * Refresh patches
  * Remove 03_fexget_search_ca.patch - is now upstream

 -- Kilian Krause <kilian@debian.org>  Wed, 19 Aug 2015 20:35:46 +0200
