## fex 20160104

=== debian/changelog ===
fex (20160104-1) unstable; urgency=medium

  * New upstream release: 20160104

 -- Kilian Krause <kilian@debian.org>  Mon, 11 Jan 2016 15:38:46 +0100

fex (20150826-1) unstable; urgency=medium

  * New upstream release: 20150826
   + fur: fixed bug no registration possible
   + fup: fixed bug uninitialized value when called by sup.html
   + fac: option -q quota=0 means use default quota
   + better detection of UTF8 in comment
   + fixed bug "Wide character in print at (...)/fex.pp" in function pq()
  * Ensure correct permissions on keys subdirectories in /var/spool/fex
  * Update lintian ignore for postinst just checking the path

 -- Kilian Krause <kilian@debian.org>  Thu, 01 Oct 2015 15:04:07 +0200
