=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
 
 Package: fex
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, adduser, xinetd | inet-superserver, libdigest-md5-file-perl, ucf, libjs-jquery, exim4 | postfix | mail-transport-agent
+Depends: ${misc:Depends}, ${perl:Depends}, adduser, xinetd | inet-superserver,
+ libdigest-md5-file-perl, ucf, libjs-jquery, exim4 | postfix | mail-transport-agent
 Recommends: perl-modules, libnet-dns-perl, fex-utils, libsocket6-perl, wget
 Description: web service for transferring very large files
  F*EX (Frams's Fast File EXchange) is a service that can be used to allow
@@ -46,7 +47,8 @@
 Package: fex-utils
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
-Recommends: libdigest-md5-file-perl, libnet-sslglue-perl, libnet-inet6glue-perl
+Recommends: libdigest-md5-file-perl, libnet-sslglue-perl,
+ libnet-inet6glue-perl, ca-certificates
 Suggests: wget, fex
 Description: web service for transferring very large files (utils)
  F*EX (Frams's Fast File EXchange) is a service that can be used to allow
