=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,8 @@
 	dh_installdocs
 	cp doc/new debian/fex/usr/share/doc/fex/NEWS
 	echo "fex_$(DEBVERSION)" >debian/fex/usr/share/fex/htdocs/version
+	# update file system paths in FAQ
+	sed -i -e 's,/home/fex/,/var/lib/fex/,g' debian/fex/usr/share/fex/htdocs/FAQ/*
 	@(cd debian/fex/usr/share/fex/;find htdocs/ -type f|grep -v -e version -e FAQ/jquery.js -e download/ |LC_ALL=C sort|xargs -n 1 md5sum >../../../../fex.md5.check)
 	if diff -q debian/fex.md5.check debian/htdocs.md5/$(DEB_NOEPOCH_VERSION) >/dev/null;then \
 		echo "Correct htdocs md5sum found."; \
@@ -59,7 +61,6 @@
 	(cd debian/htdocs.md5;tar czf ../fex/usr/share/fex/.md5/htdocs.tgz *)
 	dh_installcron
 	dh_installdebconf
-	dh_installexamples
 	dh_installlogrotate
 	dh_installman -pfex-utils debian/man-fex-utils/*.1
 	dh_installman -pfex debian/man-fex/*.1
