=== debian/watch ===
version=3
opts="downloadurlmangle=s/\.tar/.tgz/,filenamemangle=s!.*/fex-([0-9]+)\.tar!fex_$1.orig.tar.gz!,pgpsigurlmangle=s/$/.asc/" \
http://fex.belwue.de/fex.html /download/archive/fex-(.*)\.tar
